dio_open
dio_seek
Direct IO Functions
PHP Manual

# dio_read

Reads bytes from a file descriptor

### Description

string dio_read ( resource `$fd` [, int `$len` = 1024 ] )

The function dio_read reads and returns `len` bytes from file with descriptor `fd`.

### Parameters

`fd`

  The file descriptor returned by dio_open.

`len`

  The number of bytes to read. If not specified, dio_read reads 1K sized block.

### Return Values

The bytes read from `fd`.

### See Also

- dio_write